Package org.apache.jmeter.gui.util

# Class JSyntaxSearchToolBar

java.lang.Object
org.apache.jmeter.gui.util.JSyntaxSearchToolBar

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public final class JSyntaxSearchToolBar extends Object implements ActionListener
Search toolbar associated to `JSyntaxTextArea`

Since:
  5.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FIND_ACTION`
  `static final Color`
  `LIGHT_RED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSyntaxSearchToolBar(JSyntaxTextArea dataField)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent evt)`
  `JToolBar`
  `getToolBar()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LIGHT_RED

    public static final Color LIGHT_RED

  - ### FIND_ACTION

    public static final String FIND_ACTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JSyntaxSearchToolBar

    public JSyntaxSearchToolBar(JSyntaxTextArea dataField)
    Parameters:
      `dataField` - `JSyntaxTextArea` to use for searching

- ## Method Details

  - ### getToolBar

    public JToolBar getToolBar()

  - ### actionPerformed

    public void actionPerformed(ActionEvent evt)
    Specified by:
      `actionPerformed` in interface `ActionListener`